import es, popuplib, usermsg

### ADDON INFO ###
info = es.AddonInfo()
info['name'] = "Undead's Radio"
info['version'] = "4.5"
info['author'] = "Undead"
info['url'] = "http://forums.mattie.info/cs/forums/viewtopic.php?t=23389"
info['description'] = "An Advance Radio System that allows you to listen to live stations while playing"

es.ServerVar('radio_version', info['version'], 'Undead\'s Radio').makepublic()

### LOADS ###
def load():
	if not es.exists('saycommand', '!radio'):
		es.regsaycmd('!radio', 'radio/radiocmd')
	if not es.exists('saycommand', '!stop'):
		es.regsaycmd('!stop', 'radio/stopcmd')
	Genre = popuplib.easymenu('genre', '_popup_choice', genre_menuselect)
	Genre.settitle("Select A Genre:")
	Genre.addoption('1', "Rock")
	Genre.addoption('2', "Rap/Hip-Hop")
	Genre.addoption('3', "Dance/Techno")
	Genre.addoption('4', "Jazz")
	Genre.addoption('5', "Country")
	Genre.addoption('6', "Oldies")
	Genre.addoption('7', "STOP RADIO")
	Rock = popuplib.easymenu('rock', '_popup_choice', rock_menuselect)
	Rock.settitle("Select A Rock Station:")
	Rock.addoption('1', "Modern Rock Alternative")
	Rock.addoption('2', "The Buzz - Alt. Rock")
	Rock.addoption('3', "The Arrow - Classic Rock")
	Rock.addoption('4', "Radio Wazee")
	Rock.addoption('5', "WBER 90.5 NY")
	Rock.addoption('6', "High Voltage")
	Rock.addoption('7', "Positive Rock")
	Rock.addoption('8', "96x - Top Rock")
	Rap = popuplib.easymenu('rap', '_popup_choice', rap_menuselect)
	Rap.settitle("Select A Rap/Hip-Hop Station")
	Rap.addoption('1', "Hot 108 Jamz")
	Rap.addoption('2', "Energy Jamz")
	Rap.addoption('3', "The Beat")
	Rap.addoption('4', "Flow 103")
	Dance = popuplib.easymenu('dance', '_popup_choice', dance_menuselect)
	Dance.settitle("Select A Dance Station")
	Dance.addoption('1', "Trance")
	Dance.addoption('2', "Party Radio USA")
	Dance.addoption('3', "Chillout Radio")
	Dance.addoption('4', "Energy Club Hits")
	Dance.addoption('5', "Eurodance")
	Jazz = popuplib.easymenu('jazz', '_popup_choice', jazz_menuselect)
	Jazz.settitle("Select A Jazz Station")
	Jazz.addoption('1', "The Breeze")
	Jazz.addoption('2', "Sky FM Jazz")
	Jazz.addoption('3', "Modern Jazz")
	Country = popuplib.easymenu('country', '_popup_choice', country_menuselect)
	Country.settitle("Select A Country Station")
	Country.addoption('1', "Sky FM Country")
	Country.addoption('2', "Kickin\' Country")
	Country.addoption('3', "Classic Country")
	Country.addoption('4', "Bluegrass")
	Oldies = popuplib.easymenu('oldies', '_popup_choice', oldies_menuselect)
	Oldies.settitle("Select A Oldies Station")
	Oldies.addoption('1', "Awesome 80s")
	Oldies.addoption('2', "80s HairBand\'s")
	Oldies.addoption('3', "Star 181 - 90s")
	Oldies.addoption('4', "Great Oldies")
	es.msg('#multi', '#greenRadio #lightgreenby Undead has been loaded!')

def unload():
	if es.exists('saycommand', '!radio'):
		es.unregsaycmd('!radio')
	if es.exists('saycommand', '!stop'):
		es.unregsaycmd('!stop')
	popuplib.delete('genre')
	popuplib.delete('rock')
	popuplib.delete('rap')
	popuplib.delete('dance')
	popuplib.delete('jazz')
	popuplib.delete('country')
	popuplib.delete('oldies')
	es.msg('#multi', '#greenRadio #lightgreenby Undead has been unloaded!')

### COMMANDS ###
def radiocmd():
	userid = es.getcmduserid()
	popuplib.send('genre', userid)

def stopcmd()
	userid = es.getcmduserid()
	usermsg.motd(userid, 2, 'Stop Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/index.html')

### POPUP MENUSELECTS ###
def genre_menuselect (userid, choice, popupid):
	name = es.getplayername(userid)
	if choice == '1':
		popuplib.send('rock', userid)
	elif choice == '2':
		popuplib.send('rap', userid)
	elif choice == '3':
		popuplib.send('dance', userid)
	elif choice == '4':
		popuplib.send('jazz', userid)
	elif choice == '5':
		popuplib.send('country', userid)
	elif choice == '6':
		popuplib.send('oldies', userid)
	elif choice == '7':
		usermsg.motd(userid, 2, 'Stop Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/index.html')

def rock_menuselect (userid, choice, popupid):
	name = es.getplayername(userid)
	if choice == '1':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/modernrock.html')
	elif choice == '2':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/altrock.html')
	elif choice == '3':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/classicrock.html')
	elif choice == '4':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/radiowazee.html')
	elif choice == '5':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/wber.html')
	elif choice == '6':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/hardrock.html')
	elif choice == '7':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/positiverock.html')
	elif choice == '8':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/96x.html')

def rap_menuselect (userid, choice, popupid):
	name = es.getplayername(userid)
	if choice == '1':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/hot108jamz.html')
	elif choice == '2':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/energyjamz.html')
	elif choice == '3':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/hiphop.html')
	elif choice == '4':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/flow103.html')

def dance_menuselect (userid, choice, popupid):
	name = es.getplayername(userid)
	if choice == '1':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/dance.html')
	elif choice == '2':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/partyusa.html')
	elif choice == '3':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/chillout.html')
	elif choice == '4':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/energyclub.html')
	elif choice == '5':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/eurodance.html')

def jazz_menuselect (userid, choice, popupid):
	name = es.getplayername(userid)
	if choice == '1':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/jazz.html')
	elif choice == '2':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/skyfm.html')
	elif choice == '3':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/modernjazz.html')

def country_menuselect (userid, choice, popupid):
	name = es.getplayername(userid)
	if choice == '1':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/country.html')
	elif choice == '2':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/kickin.html')
	elif choice == '3':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/classiccountry.html')
	elif choice == '4':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/bluegrass.html')

def oldies_menuselect (userid, choice, popupid):
	name = es.getplayername(userid)
	if choice == '1':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/awesome80s.html')
	elif choice == '2':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/80shairbands.html')
	elif choice == '3':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/star181.html')
	elif choice == '4':
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/greatoldies.html')

### EVENTS ###
def round_start(ev):
	es.msg('#green', 'This server is running Radio Version %s' %es.ServerVar('radio_version'))
	es.msg('#green', 'Type !radio to open radio, and type !stop to stop it')